Subject: bug#44999: guix deploy Error reading from the channel

From: Jérémy Korwin-Zmijowski <[email-masked]>
Date: Fri, 04 Dec 2020 15:53:22 +0100

Le jeudi 03 décembre 2020 à 17:45 +0100, Ludovic Courtès a écrit :
> Does it fail like this every time?
> 
> Your message suggests deployment on the droplet eventually succeeded
> since you were able to run ‘guix pull’ there, is that correct?
> 
> Thanks,
> Ludo’.

Hello Ludo !

I made some more attempts. I was unable to reproduce the previous
scenario… Looks like with my ssh connections I put myself in an
exceptionnal situation.

All I got is `guix deploy` running forever (I let it more than 2 hours)

   $ guix deploy ynm-droplet-declaration.scm
   La (1) machine suivante sera déployée :
     ynm1607086083

   guix deploy: déploiement vers ynm1607086083...

I have to kill it myself. There is no guix on the target system.

As soon as I get some time I will try to determine where it stops.

Jérémy